<p align="center">
  <img src="https://raw.githubusercontent.com/catppuccin/catppuccin/dev/assets/logos/logos/500x500_circle.png" width="90" />
  <h2 align="center">Catppuccin Theme</h2>
</p>
<p align="center">Vibrant pastel theme for the masses!</p>

<p align="center">
  <img src="https://raw.githubusercontent.com/catppuccin/catppuccin/dev/assets/palette/morning.png" width="175" />
  <img src="https://raw.githubusercontent.com/catppuccin/catppuccin/dev/assets/palette/night.png" width="175" />
</p>

<p align="center">
    <a href="https://github.com/catppuccin/catppuccin/stargazers"><img src="https://img.shields.io/github/stars/catppuccin/catppuccin?colorA=1e1e28&colorB=a4b9ef&style=for-the-badge&logo=starship style=for-the-badge"></a>
    <a href="https://github.com/catppuccin/catppuccin/releases/latest"><img src="https://img.shields.io/github/release/catppuccin/catppuccin.svg?&style=for-the-badge&label=Release&logo=github&logoColor=eceff4&colorA=1e1e28&colorB=f0afe1"/></a>
    <a href="https://github.com/catppuccin/catppuccin/issues"><img src="https://img.shields.io/github/issues/catppuccin/catppuccin?colorA=1e1e28&colorB=f7c196&style=for-the-badge"></a>
    <a href="https://discord.gg/r6Mdz5dpFc"><img src="https://img.shields.io/discord/907385605422448742?colorA=1e1e28&colorB=c6aae8&label=Discord&logo=discord&logoColor=white&style=for-the-badge"></a>
</p>

## About

<p align="center">
	Catppuccin is a community-driven pastel theme that aims to be the middle ground between low and high contrast themes. It provides a warm palette with 18 eye-candy colors that are not only perfect for coding under various light conditions, but also for developing graphical user interfaces, making it extensible for numerous use-cases. In addition, this repository tracks the development of the actual color palette, organization-wide assets, resources and code samples for maintainers/developers.
</p>

## 🎨 Palette

|                                                                                                                                     | Name     | Hex       | RGB             | HSL             | CMYK                |
| ----------------------------------------------------------------------------------------------------------------------------------- | -------- | --------- | --------------- | --------------- | ------------------- |
| <img src="https://raw.githubusercontent.com/catppuccin/catppuccin/dev/assets/palette/circles/flamingo.png" height="23" width="23"/> | Flamingo | `#F2CECF` | `242, 206, 207` | `358, 58%, 88%` | `0%, 15%, 14%, 5%`  |
| <img src="https://raw.githubusercontent.com/catppuccin/catppuccin/dev/assets/palette/circles/teal.png" height="23" width="23"/>     | Teal     | `#BEE4ED` | `190, 228, 237` | `191, 57%, 84%` | `20%, 4%, 0%, 7%`   |
| <img src="https://raw.githubusercontent.com/catppuccin/catppuccin/dev/assets/palette/circles/pink.png" height="23" width="23"/>     | Pink     | `#E5B4E2` | `229, 180, 226` | `304, 49%, 80%` | `0%, 21%, 1%, 10%`  |
| <img src="https://raw.githubusercontent.com/catppuccin/catppuccin/dev/assets/palette/circles/blue.png" height="23" width="23"/>     | Blue     | `#A4B9EF` | `164, 185, 239` | `223, 70%, 79%` | `31%, 23%, 0%, 6%`  |
| <img src="https://raw.githubusercontent.com/catppuccin/catppuccin/dev/assets/palette/circles/yellow.png" height="23" width="23"/>   | Yellow   | `#EBDDAA` | `235, 221, 170` | `47, 62%, 79%`  | `0%, 6%, 28%, 8%`   |
| <img src="https://raw.githubusercontent.com/catppuccin/catppuccin/dev/assets/palette/circles/green.png" height="23" width="23"/>    | Green    | `#B1E3AD` | `177, 227, 173` | `116, 49%, 78%` | `22%, 0%, 24%, 11%` |
| <img src="https://raw.githubusercontent.com/catppuccin/catppuccin/dev/assets/palette/circles/magenta.png" height="23" width="23"/>  | Magenta  | `#C6AAE8` | `198, 170, 232` | `267, 57%, 79%` | `15%, 27%, 0%, 9%`  |
| <img src="https://raw.githubusercontent.com/catppuccin/catppuccin/dev/assets/palette/circles/peach.png" height="23" width="23"/>    | Peach    | `#F9C096` | `249, 192, 150` | `25, 89%, 78%`  | `0%, 23%, 40%, 2%`  |
| <img src="https://raw.githubusercontent.com/catppuccin/catppuccin/dev/assets/palette/circles/red.png" height="23" width="23"/>      | Red      | `#E38C8F` | `227, 140, 143` | `358, 61%, 72%` | `0%, 38%, 37%, 11%` |
| <img src="https://raw.githubusercontent.com/catppuccin/catppuccin/dev/assets/palette/circles/black0.png" height="23" width="23"/>     | Black 0  | `#15121C` | `21, 18, 28`    | `258, 22%, 9%`  | `25%, 36%, 0%, 89%` |
| <img src="https://raw.githubusercontent.com/catppuccin/catppuccin/dev/assets/palette/circles/black1.png" height="23" width="23"/>     | Black 1  | `#1B1923` | `27, 25, 35`    | `252, 17%, 12%` | `23%, 29%, 0%, 86%` |
| <img src="https://raw.githubusercontent.com/catppuccin/catppuccin/dev/assets/palette/circles/black2.png" height="23" width="23"/>     | Black 2  | `#1E1E28` | `30, 30, 40`    | `240, 14%, 14%` | `25%, 25%, 0%, 84%` |
| <img src="https://raw.githubusercontent.com/catppuccin/catppuccin/dev/assets/palette/circles/black3.png" height="23" width="23"/>     | Black 3  | `#332E41` | `51, 46, 65`    | `256, 17%, 22%` | `22%, 29%, 0%, 75%` |
| <img src="https://raw.githubusercontent.com/catppuccin/catppuccin/dev/assets/palette/circles/black4.png" height="23" width="23"/>     | Black 4  | `#575268` | `87, 82, 104`   | `254, 12%, 36%` | `16%, 21%, 0%, 59%` |
| <img src="https://raw.githubusercontent.com/catppuccin/catppuccin/dev/assets/palette/circles/gray0.png" height="23" width="23"/>     | Gray 0   | `#6E6C7E` | `110, 108, 126` | `247, 8%, 46%`  | `13%, 14%, 0%, 51%` |
| <img src="https://raw.githubusercontent.com/catppuccin/catppuccin/dev/assets/palette/circles/gray1.png" height="23" width="23"/>    | Gray 1   | `#988BA2` | `152, 139, 162` | `274, 11%, 59%` | `6%, 14%, 0%, 36%`  |
| <img src="https://raw.githubusercontent.com/catppuccin/catppuccin/dev/assets/palette/circles/gray2.png" height="23" width="23"/>    | Gray 2   | `#C3BAC6` | `195, 186, 198` | `285, 10%, 75%` | `2%, 6%, 0%, 22%`   |
| <img src="https://raw.githubusercontent.com/catppuccin/catppuccin/dev/assets/palette/circles/white.png" height="23" width="23"/>    | White    | `#DADAE8` | `218, 218, 232` | `240, 23%, 88%` | `6%, 6%, 0%, 9%`    |

<p align="center">
	You can view an interactive version of the palette <a href="https://coolors.co/f2cecf-bee4ed-e5b4e2-a4b9ef-ebddaa-b1e3ad-c6aae8-f9c096-e38c8f">here</a> and <a href="https://coolors.co/15121c-1b1923-1e1e28-332e41-575268-6e6c7e-988ba2-c3bac6-dadae8">here</a>
</p>

## 🧠 Design Philosophy

-   **Colorful is better than colorless**: the colorfulness of something contributes to the distinction amongst the parts of that _something_, making it marginally easier to understand how things are structured.
-   **There should be balance**: not too dull, not too bright. Suitability under various light conditions is a most.
-   **Harmony is superior to dissonance**: vivacious colors must complement each other.

## 👐 Contribute

See [CONTRIBUTING.md](https://github.com/catppuccin/catppuccin/blob/dev/CONTRIBUTING.md).

## 📜 License

Catppuccin is released under the MIT license, which grants the following permissions:

-   Commercial use
-   Distribution
-   Modification
-   Private use

For more convoluted language, see the [LICENSE file](https://github.com/catppuccin/catppuccin/blob/main/LICENSE.md).

## 💝 Gratitude

Thanks to the following tools developing this project is possible:

-   [coolors.co](https://coolors.co/): A tool for creating and collecting color palettes.
-   [InkScape](https://inkscape.org/): Free and open-source vector graphics editor.
-   [colors_converter.asp](https://www.w3schools.com/colors/colors_converter.asp): Color format converter.
-   [mdigi.tools](https://mdigi.tools/): Web based digital tools.
